Skip to main content

Styling

You can customize styles of the File Manager interface to meet your project requirements. The library provides the next built-in themes:

  • Willow
  • WillowDark

The package also ships two CSS files you should import to add styles:

  • all.css: filemanager styles plus styles for sub-components like menus and toolbars
  • style.css: styles for filemanager only. Use this when you import sub-component styles separately

Theme settings​

Willow theme settings:

.wx-willow-theme {
--wx-theme-name: willow;

--wx-fm-background: #f2f3f7;
--wx-fm-box-shadow: 0px 1px 2px rgba(44, 47, 60, 0.06),
0px 3px 10px rgba(44, 47, 60, 0.12);

--wx-fm-grid-border: 1px solid #ededf1;
--wx-fm-grid-header-color: #fafafb;
--wx-fm-button-font-color: #9fa1ae;
--wx-fm-toolbar-height: 56px;
}

WillowDark theme settings:

.wx-willow-dark-theme {
--wx-theme-name: willow-dark;
color-scheme: dark;

--wx-fm-background: #2b343b;
--wx-fm-box-shadow: none;

--wx-fm-grid-border: 1px solid #384047;
--wx-fm-grid-header-color: var(--wx-background);
--wx-fm-button-font-color: #9fa1ae;
--wx-fm-toolbar-height: 56px;
}

Apply a theme and add styles​

Apply the desired theme by importing the theme and wrapping Filemanager in the required theme component. Import CSS file to add styles.

import { Filemanager, Willow } from "@svar-ui/react-filemanager";
import "@svar-ui/react-filemanager/all.css"; //import styles

import { getData, getDrive } from "./common/data";

export default function App() {
return (
<Willow>
<Filemanager data={getData()} drive={getDrive()} />
</Willow>
);
}

Example of applying custom theme settings​

import { Filemanager } from "@svar-ui/react-filemanager";
import "@svar-ui/react-filemanager/all.css";

import { getData, getDrive } from "./common/data";

export default function CustomStyledExample() {
return (
<div className="filemanager">
<Filemanager data={getData()} drive={getDrive()} />
</div>
);
}
.filemanager {
height: 100%;
width: 100%;
--wx-color-primary: rgb(0, 128, 0);
--wx-fm-background: rgb(207, 209, 221);
--wx-fm-select-color: rgb(235, 235, 255);
--wx-table-select-background: rgba(33, 195, 255, 0.1);
--wx-table-select-focus-background: rgba(33, 195, 255, 0.1);
}

/* Target internal Filemanager classes globally */
.filemanager > .wx-filemanager .wx-cards {
color: rgba(0, 128, 0);
}

Disabling fonts​

Whenever you need to disable the fonts used in a theme, you can make use of the fonts property of the theme and set it to the false value:

import { Filemanager, Willow } from "@svar-ui/react-filemanager";
import "@svar-ui/react-filemanager/all.css";

export default function NoFontsExample() {
return (
<div style={{ width: 300 }}>
<Willow fonts={false}>
<Filemanager />
</Willow>
</div>
);
}
Pay attention

Please note that if you switch the default fonts off, you will have to include the fonts you need by yourself.


Related sample: Styling

Skip to main content

Styling

You can customize styles of the File Manager interface to meet your project requirements. The library provides a wide range of css variables with three built-in themes:

  • Willow
  • WillowDark

The filemanager package also ships two CSS files you should import to add styles:

  • all.css: filemanager styles plus styles for sub-components like menus and toolbars
  • style.css: filemanager only styles. Use this when you want to import sub-component styles separately

Theme settings​

Willow theme settings:

:global(.wx-willow-theme) {
--wx-theme-name: willow;

--wx-fm-background: #f2f3f7;
--wx-fm-box-shadow: 0px 1px 2px rgba(44, 47, 60, 0.06),
0px 3px 10px rgba(44, 47, 60, 0.12);

--wx-fm-grid-border: 1px solid #ededf1;
--wx-fm-grid-header-color: #fafafb;
--wx-fm-button-font-color: #9fa1ae;
--wx-fm-toolbar-height: 56px;
}

WillowDark theme settings:

:global(.wx-willow-dark-theme) {
--wx-theme-name: willow-dark;
color-scheme: dark;

--wx-fm-background: #2b343b;
--wx-fm-box-shadow: none;

--wx-fm-grid-border: 1px solid #384047;
--wx-fm-grid-header-color: var(--wx-background);
--wx-fm-button-font-color: #9fa1ae;
--wx-fm-toolbar-height: 56px;
}

Applying a theme​

Apply the desired theme by importing the theme and wrapping File Manager into the required theme tag:

<script setup>
import { Filemanager } from "@svar-ui/vue-filemanager";
import { getData, getDrive } from "./common/data";
import { Willow } from "@svar-ui/vue-filemanager";
import "@svar-ui/vue-filemanager/all.css";
</script>

<template>
<Willow>
<Filemanager
:data="getData()"
:drive="getDrive()"
/>
</Willow>
</template>

Example of applying custom theme settings​

<script setup>
import { getData, getDrive } from "./common/data";
import { Filemanager } from "@svar-ui/vue-filemanager";
import "@svar-ui/vue-filemanager/all.css";
</script>

<template>
<div class="filemanager">
<Filemanager :data="getData()" :drive="getDrive()" />
</div>
</template>

<style scoped>
.filemanager {
height: 100%;
width: 100%;
--wx-color-primary: rgb(0, 128, 0);
--wx-fm-background: rgb(207, 209, 221);
--wx-fm-select-color: rgb(235, 235, 255);
--wx-table-select-background: rgba(33, 195, 255, 0.1);
--wx-table-select-focus-background: rgba(33, 195, 255, 0.1);
}

.filemanager > :global(.wx-filemanager .wx-cards) {
color: rgba(0, 128, 0);
}
</style>

Disabling fonts​

Whenever you need to disable the fonts used in a theme, you can make use of the fonts property of the theme and set it to the false value:

<script setup>
import { Filemanager, Willow } from "@svar-ui/vue-filemanager";
import "@svar-ui/vue-filemanager/all.css";
</script>

<template>
<div style="width:300px">
<Willow :fonts="false">
<Filemanager />
</Willow>
</div>
</template>
Pay attention

Please note that if you switch the default fonts off, you will have to include the fonts you need by yourself.


Related sample: Styling